multipath-tools (0.11.1-3ubuntu2) questing; urgency=medium

  * d/initramfs/scripts/init-top: ensure the bindings file exists before
    calling multipathd -B in the initramfs. This prevents multipathd -B from
    failing and exiting immediately (LP: #2120444).

 -- Olivier Gayot <olivier.gayot@canonical.com>  Tue, 12 Aug 2025 14:36:47 +0200

multipath-tools (0.11.1-3ubuntu1) questing; urgency=medium

  * Merge with Debian experimental (LP: #2117378). Remaining changes:
    - d/rules: no binary package multipath-tools on i386; only kpartx.
    - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
      default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - d/t/initramfs: determine extracted main cpio path dynamically
    - d/NEWS: add removal of kpartx-boot package
    - d/rules: remove -Bsymbolic-functions from LDFLAGS
    - d/rules: install friendly names multipath.conf by default
    - d/initramfs: fix multipathd process lingering when local-* initramfs
      scripts are not executed. The multipathd process is started by a script
      in init-top/ (which is executed unconditionally) so it should be
      stopped by an init-bottom script, not a local-bottom script which is
      not always executed (LP #2080474).
      + This is affecting the Ubuntu installer, where we execute (perhaps
        accidentally) the nfs-* scripts instead of the local-* scripts.

 -- Jonas Jelten <jonas.jelten@canonical.com>  Tue, 05 Aug 2025 16:59:52 +0200

multipath-tools (0.11.1-3) experimental; urgency=medium

  * [707b59b] Split off libraries, install dev files.
    Only libmpathcmd, libmpathpersist, libmpathvalid are stable libraries.
    Unfortunately we have to install libmultipath.so into libmultipath-dev
    so qemu-pr-helper will be able to link libmpathpersist.
    See Launchpad bug #2117378 and
    http://github.com/opensvc/multipath-tools/issues/118 for discussion.
    (Closes: #1005323)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 31 Jul 2025 18:45:31 +0200

multipath-tools (0.11.1-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110438). Remaining changes:
    - d/rules: don't build the multipath-tools binary package on i386; only kpartx.
    - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
      default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - d/t/initramfs: determine extracted main cpio path dynamically
    - d/NEWS: add removal of kpartx-boot package
    - d/rules: remove -Bsymbolic-functions from LDFLAGS
    - d/rules: install friendly names multipath.conf by default
  * Drop changes:
    - d/t/tgtbasedmpaths: allow rc of 3 for socket (LP #2078888)
      [included in 0.11.1-2]
    - dmsetup version restriction lift
      + Revert dmsetup downgrade (LP #2073622)
      + d/control: allow older dmsetup
      [cancel each other out]
    - d/t/{control,initramfs}: fix initramfs dep8 test
      [merged with "determine extracted main cpio path dynamically"]
  [ Olivier Gayot ]
  * d/initramfs: fix multipathd process lingering when local-* initramfs
    scripts are not executed. The multipathd process is started by a script in
    init-top/ (which is executed unconditionally) so it should be
    stopped by an init-bottom script, not a local-bottom script which is
    not always executed (LP: #2080474).
    - This is affecting the Ubuntu installer, where we execute (perhaps
      accidentally) the nfs-* scripts instead of the local-* scripts.

 -- Jonas Jelten <jonas.jelten@canonical.com>  Wed, 23 Jul 2025 12:06:34 +0200

multipath-tools (0.11.1-2) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * [3e795aa] build: properly split -arch and -indep builds

  [ mitchdz ]
  * [7322e89] d/t/tgtbasedmpaths: allow rc of 3 for socket

  [ Chris Hofstaedtler ]
  * [9c54e80] Install grep, pidof into the initramfs.
    Thanks to Jarl Gullberg <jarl.gullberg@gmail.com> (Closes: #1104259)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 01 May 2025 21:45:28 +0200

multipath-tools (0.11.1-1) unstable; urgency=medium

  * [ed5f513] New upstream version 0.11.1
  * [b9fd90c] tests: allow multipathd.socket to be inactive
  * [bbfe6bb] add myself to uploaders

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 17 Feb 2025 16:40:48 +0100

multipath-tools (0.10.0-1) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * [bde2c42] New upstream version 0.10.0
  * [705138c] rebase patches for 0.10.0
  * [43cefdf] cherry-pick regression fix from upstream 0.11 draft

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 26 Dec 2024 15:16:06 +0100

multipath-tools (0.9.9-1ubuntu4) plucky; urgency=medium

  * debian/tests/initramfs: determine extracted main cpio path dynamically

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 30 Jan 2025 19:48:38 +0100

multipath-tools (0.9.9-1ubuntu3) oracular; urgency=medium

  * d/t/tgtbasedmpaths: allow return code of 3 for socket (LP: #2078888).
    A new line was added to tgtbasedmpaths test to check the status of the
    socket. One some architectures, the socket is inactive, which is fine to
    be in as long as the rest of the test passes. This allows a return code
    of either 0 or 3 from systemctl when checking the socket.

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Tue, 03 Sep 2024 20:28:27 -0700

multipath-tools (0.9.9-1ubuntu2) oracular; urgency=medium

  * Revert dmsetup downgrade (LP: #2073622).
    - d/control: require dmsetup (>= 2:1.02.196-1~)
    - remove d/p/0002-11-dm-mpath.in-fix-DM_UDEV_RULES_VSN-check.patch
    - This was needed originally due to lvm2 package being older, but due to the
      package upgrade, these changes can be dropped.

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Tue, 23 Jul 2024 06:41:53 -0700

multipath-tools (0.9.9-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2068645). Remaining changes:
    - Don't build the multipath-tools binary package on i386; only kpartx.
    - d/rules: remove -Bsymbolic-functions from LDFLAGS
    - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
      default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - Allow older dmsetup
    - d/t/{control,initramfs}: fix initramfs dep8 test
    - d/NEWS: add removal of kpartx-boot package
    - Install friendly names multipath.conf by default
  * Dropped changes:
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      See d/NEWS for more information.
      + d/kpartx-initramfs/hooks/kpartx
      + d/kpartx-boot.install
      + d/kpartx-boot.postinst
      + d/kpartx-boot.postrm
      + d/control: Add kpartx-boot package for dmraid
    - d/rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
      See Comment #2 in https://bugs.launchpad.net/bugs/2040360


 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Mon, 15 Jul 2024 09:55:37 -0700

multipath-tools (0.9.9-1) unstable; urgency=medium

  [ mitchdz ]
  * [14083d6] d/t/tgtbasedmpaths: do not brace expand as systemd does
    not understand (Closes: #1074403)

  [ Chris Hofstaedtler ]
  * [b5fef17] New upstream version 0.9.9
  * [ef49180] Rebase patches

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Jul 2024 01:58:32 +0200

multipath-tools (0.9.8-1) unstable; urgency=medium

  [ mitchdz ]
  * [9ffd042] tgtbasedmpaths: also check status of the socket (Closes:
    #1069680)

  [ Chris Hofstaedtler ]
  * [6f82765] New upstream version 0.9.8
  * [7e41b68] Refresh patches
  * [7119712] Revert "Implement real socket activation of multipathd.service."
    Unsupported upstream.
  * [551f721] Install new udev rules.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 13 Jun 2024 02:44:49 +0200

multipath-tools (0.9.7-7ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/multipath.conf: Install friendly names multipath.conf by default,
      instead of generating it in every installer.
    - d/rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
    - d/rules: remove -Bsymbolic-functions from LDFLAGS
      (https://github.com/opensvc/multipath-tools/issues/26)
    - Don't build the multipath-tools binary package on i386; only kpartx.
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      + d/kpartx-initramfs/hooks/kpartx
      + d/kpartx-boot.install
      + d/kpartx-boot.postinst
      + d/kpartx-boot.postrm
      + d/control: Add kpartx-boot package for dmraid
    - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
      default
  * Dropped changes, included in Debian:
    - d/initramfs/hooks: also copy wwids file on the installed
      system to ensure all paths come up on boot.
    - d/initramfs/hooks: do not copy kpartx rules to initramfs
    - d/initramfs/hooks: install multipathd and required directories.
    - d/initramfs/hooks: copy multipath udev rules to initramfs
    - Remove d/initramfs/local-top (redundant with other initramfs scripts):
      + init-top: take over loading modules (dm-multipath and SCSI device
        handlers); move the missing dm-emc there (now scsi-dh-emc)
      + remove d/initramfs/local-top
    - multipath initramfs fixes for booting from multipathed devices:
      + d/initramfs/local-bottom: remember to stop multipathd.
      + d/initramfs/local-premount: wait for udev to settle before
        the call to resolve_device() in local_mount_root(), so the
        by-uuid/ symlinks have a chance to be updated by the
        multipath udev rules.
      + d/initramfs/local-premount: Run multipath with -B so not to
        assign names nor change /etc/multipath/bindings during
        initramfs
    - d/rules: do not install init scripts
    - d/multipath-tools.maintscript: remove /etc/init.d/multipath-tools
    - Remove wrong hard-coded dep on libaio1.
  * Dropped changes, no longer needed:
    - d/initramfs/hooks: Add dm-queue-length
    - d/multipath-tools.dm-mpath-lvm.udev: local udev rule hasn't been
      shipped since at least jammy

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 05 Jun 2024 14:24:55 -0700

multipath-tools (0.9.7-7) unstable; urgency=medium

  * [9d90323] Drop hard-coded dependency on libaio1 (Closes: #1068944)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 14 Apr 2024 13:04:31 +0200

multipath-tools (0.9.7-6) unstable; urgency=medium

  * [85ca059] Switch Build-Depends pkg-config to pkgconf

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 29 Feb 2024 22:38:43 +0100

multipath-tools (0.9.7-5) unstable; urgency=medium

  * [902a13b] Rely on newly un-broken dmsetup 2:1.02.196-1

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 29 Feb 2024 22:35:59 +0100

multipath-tools (0.9.7-4) unstable; urgency=medium

  * [2faddfc] Fix initramfs test

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 31 Jan 2024 18:05:03 +0100

multipath-tools (0.9.7-3) unstable; urgency=medium

  * [b7f0988] Switch Build-Depends to systemd-dev (Closes: #1060604)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 12 Jan 2024 13:21:59 +0100

multipath-tools (0.9.7-2) unstable; urgency=medium

  * [018f436] Correctly apply Debian-specific udev rule priorities

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Jan 2024 20:32:14 +0100

multipath-tools (0.9.7-1) unstable; urgency=medium

  * [232dd6e] New upstream version 0.9.7
  * [ed5de58] Refresh patches
  * [97e9782] Build-Depend: libmount-dev, now needed
  * [462750d] Follow upstream change from modules-load to modprobe@ service
  * [46cd7fe] d/rules: drop SCSI_DH_MODULES_PRELOAD which did not work anyway
  * [5ec6ee3] autopkgtest: add extra details, journal output
  * [11f09a7] postinst: ignore failure from udevadm

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Jan 2024 00:19:37 +0100

multipath-tools (0.9.4-10) unstable; urgency=medium

  * [ff4b063] Fix udev rules install location
  * [704cf13] autopkgtest: fix under upstream default of find_multipaths strict

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 01 Jan 2024 20:21:16 +0100

multipath-tools (0.9.4-9) unstable; urgency=medium

  * Upload to unstable.
  * [c785707] Rearrange debian/tmp usage to get more out of dh_missng
  * [05a2082] Use dh_install to install udev rules
  * [6c4f974] kpartx-udeb: install udev rules and helper (Closes: #1059747)
  * [5598a12] initramfs: use /usr-merged layout
  * [d41422b] initramfs: use modern helpers, tidy up
  * [bdcbd1e] Stop installing multipath-tools-boot.service mask
  * [13d5c3e] Refresh patches
  * [265cc4d] Apply wrap-and-sort -kast
  * [a42a18b] Add new autopkgtest for initramfs hooks

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 01 Jan 2024 17:31:35 +0100

multipath-tools (0.9.4-8) experimental; urgency=medium

  * Target experimental.
  * [dfcb2a2] Install into /usr-merged layout

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 23 Dec 2023 20:20:34 +0100

multipath-tools (0.9.4-7) unstable; urgency=medium

  * [bdc80b9] Merge initramfs integration from Ubuntu.
    Which apparently got updated since the 0.7.x days, compared to ours.
    Keep kpartx in the multipath hook, as we do not have a separate kpartx-boot
    package, and likely never will.
  * [918d442] Remove init script, following Ubuntu bug reports
  * [475fd45] Drop obsolete Depends: lsb-base
  * [bc3bacb] Add NEWS for updated boot, removed sysvinit scripts

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 11 Nov 2023 00:44:56 +0100

multipath-tools (0.9.4-6) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * [818e429] d/p/0007-multipathd.service-remove-Also-multipathd.socket.patch:
    Remove "Also=multipathd.socket" from multipathd.service, which was
    breaking socket-activation.
  * [634733b] Implement real socket activation of multipathd.service.
    - d/rules: Use "--no-stop-on-upgrade" when installing
      multipathd.service.
    - d/multipath-tools.postinst: (Re)start multipathd.service
      depending on certain conditions after installing/upgrading the
      package.  Run "udevadm trigger" on new installations.
    - d/multipath-tools-boot.postinst: Always enable multipathd.service
      when multipath-tools-boot is installed.  Socket activation doesn't
      work if booting from a multipath device.
    Motivation: reduce RAM usage when multipath-tools is installed but
    unused, and follow upstream setup.
  * [6390885] d/NEWS: Add entry about socket-activation being now the default.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 30 Oct 2023 19:08:18 +0100

multipath-tools (0.9.4-5ubuntu8) noble; urgency=medium

  * No-change rebuild against libaio1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 00:31:07 +0000

multipath-tools (0.9.4-5ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:10:06 +0000

multipath-tools (0.9.4-5ubuntu6) noble; urgency=medium

  * Remove wrong hard-coded dep on libaio1.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Mar 2024 16:54:55 +0000

multipath-tools (0.9.4-5ubuntu5) noble; urgency=medium

  * Rebuild against new libaio1t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Mar 2024 17:07:47 +0100

multipath-tools (0.9.4-5ubuntu4) noble; urgency=medium

  * No-change rebuild against libaio1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 09:13:57 +0000

multipath-tools (0.9.4-5ubuntu3) mantic; urgency=medium

  * d/initramfs/scripts/{local-bottom,local-top}/multipath: Make initramfs
    scripts +x so they actually get executed (Debian changed how initramfs
    scripts are installed in 0.9.0-2 so this matters now but didn't before).
    (LP: #2034606)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 07 Sep 2023 11:15:10 +1200

multipath-tools (0.9.4-5ubuntu2) mantic; urgency=medium

  * d/multipath-tools.maintscript: remove /etc/init.d/multipath-tools
    - The previous merge in mantic removed the calls to dh_installinit to help
      prevent an upgrade/install failure for users in a certain scenario. The
      removal of the conf file was not included in the merge, but should be
      included in-case users upgrade release and carry-over the conf file.
      (See LP: 2000186 for reference)

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Wed, 02 Aug 2023 10:40:27 -0700

multipath-tools (0.9.4-5ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018051). Remaining changes:
    - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
      default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - d/multipath.conf: Install friendly names multipath.conf by default,
      instead of generating it in every installer.
    - d/multipath-tools.dm-mpath-lvm.udev: Adjust initramfs integration
      for new udev rules
    - Remove d/initramfs/local-top (redundant with other initramfs scripts):
      + init-top: take over loading modules (dm-multipath and SCSI device
        handlers); move the missing dm-emc there (now scsi-dh-emc; see
        BTS 567014).
      + remove d/initramfs/local-top
    - d/initramfs/hooks: Add dm-queue-length: users may want to
      change from the default selector and should be able to do so.
      (LP 1673350)
    - multipath initramfs fixes for booting from multipathed devices:
      + d/initramfs/hooks: also copy wwids file on the installed
        system to ensure all paths come up on boot. (LP 1479929)
      + d/initramfs/hooks: install multipathd and required
        directories.
      + d/initramfs/hooks: copy multipath udev rules to initramfs
      + d/initramfs/hooks: do not copy kpartx rules to initramfs
      + d/initramfs/local-bottom: remember to stop multipathd.
      + d/initramfs/local-premount: wait for udev to settle before
        the call to resolve_device() in local_mount_root(), so the
        by-uuid/ symlinks have a chance to be updated by the
        multipath udev rules (LP 1503286).
      + d/initramfs/local-premount: Run multipath with -B so not to
        assign names nor change /etc/multipath/bindings during
        initramfs (LP 1561103)
    - debian/initramfs/local-bottom: wait for the multipathd unix
      socket to close, so to avoid multipathd.socket unit failure.
      (LP 1682178)
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      + d/kpartx-initramfs/hooks/kpartx
      + d/kpartx-boot.install
      + d/kpartx-boot.postinst
      + d/kpartx-boot.postrm
      + d/control: Add kpartx-boot package for dmraid
    - d/rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
    - d/rules: remove -Bsymbolic-functions from LDFLAGS
      (https://github.com/opensvc/multipath-tools/issues/26)
    - Don't build the multipath-tools binary package on i386; only kpartx.
  * Dropped changes:
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve
      finding loopback devices (LP 1747044)
      [ Dropping due to LP: #1961633 ]
    - d/rules: copy udev rule after build.
      [ Included in debian version 0.9.4-5 ]
    - d/multipath-tools.install: install tmpfiles.d/multipath.conf
      [ Included in debian version 0.9.4-2 ]
    - SECURITY UPDATE: symlink attack CVE-2022-41973
      [ Applied upstream in 0.9.4 ]
    - SECURITY UPDATE: authorization bypass CVE-2022-41974
      [ Applied upstream in 0.9.4 ]
  * Added changes:
    - d/rules: do not install init scripts (LP: #2000186)
    - Fix mpathpersist scsi3 pgr broken (LP: #2026881)
      [ included upstream in 0.9.4 ]

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Mon, 17 Jul 2023 10:04:12 -0700

multipath-tools (0.9.4-5) unstable; urgency=medium

  * [7578bfb] Fail package build if udev rules are missing
  * [68c0ce2] Install udev multipath.rules again.
    Thanks to Joshua Huber <jhuber@blockbridge.com> (Closes: #1037539)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 14 Jun 2023 11:50:10 +0200

multipath-tools (0.9.4-4) unstable; urgency=medium

  [ Tobias Frost ]
  * [b3824e9] Mention CVEs in changelog as suggested in developer reference 5.1

  [ Chris Lamb ]
  * [6bb1ffa] Rebuild libdmmp docs properly during build (Closes: #1037205)

  [ Chris Hofstaedtler ]
  * [8c46661] Remove library development files and all of libdmmp.
    There are no users of the multipath libraries outside of multipath(d)
    itself.  Recently qemu gained support for multipath reservations; when qemu
    wants to use this, the multipath-tools maintainers need to understand the
    ABI status.
    Disable building libdmmp completely, as no users seem to exist at all.
  * [fb515b7] Remove intrusive patches for non-usrmerge-d systems.
  * [b901229] Drop 0004-systemd-alias-multipath-service.patch,
    symlink is installed instead.
  * [9654134] Re-add dm-multipath module loading to ExecStartPre
    (Closes: #1037292)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 11 Jun 2023 13:32:31 +0200

multipath-tools (0.9.4-3) unstable; urgency=medium

  [ Chris Lamb ]
  * [f6f7ab0] Avoid race condition in man page build.
    Leads to unreproducible contents. (Closes: #1030727)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 07 Feb 2023 10:16:57 +0000

multipath-tools (0.9.4-2) unstable; urgency=medium

  * [1517c01] Install tmpfiles.d snippet into non-usr-merged compatible location

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 02 Feb 2023 07:52:50 +0000

multipath-tools (0.9.4-1) unstable; urgency=medium

  * [369b812] New upstream version 0.9.4 (Closes: #1022742)
    Fixes CVE-2022-41973 and CVE-2022-41974.
  * [ee2206e] Refresh patches
  * [bcb0b07] Rework build steps to follow upstream changes.
    And install libmpathutil.so.
  * [f8ef90a] Use upstream-supported way of disabling systemd (for udeb)
  * [8785eef] Update lintian-overrides

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 25 Dec 2022 23:19:21 +0000

multipath-tools (0.9.0-4) unstable; urgency=medium

  [ Chris Lamb ]
  * [3a71447] Make the build reproducible (Closes: #1016583)

  [ Chris Hofstaedtler ]
  * [d815e6b] Use libedit instead of libreadline.
    Using patches from openSUSE, expected to go upstream in the next
    release.
    Thanks to Martin Wilck <mwilck@suse.com>, Bastian Germann <bastiangermann@fishpost.de>
    (Closes: #979095)
  * [f0e62a1] Add more patches from openSUSE to fix small bugs

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 13 Aug 2022 13:08:06 +0000

multipath-tools (0.9.0-3) unstable; urgency=medium

  * [baa940a] Install reportbug helper using dh_bugfiles (Closes: #1016512)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 02 Aug 2022 08:21:25 +0000

multipath-tools (0.9.0-2) unstable; urgency=medium

  [ Athos Ribeiro ]
  * [e3e7c47] d/t/kpartx-file-loopback: silence kpartx messages to stderr

  [ Chris Hofstaedtler ]
  * [057ee38] Apply wrap-and-sort -a
  * [8c9d6fe] Use debhelper compat level 13
  * [99f87ed] Use dh_missing
  * [f7cde4c] Use dh_installsystemd
  * [6797e0c] d/control: fix Depends/Pre-Depends mixup
  * [c1cb1ba] Use debhelper sequencer (Closes: #801884)
  * [eeb7a95] Remove upgrade code from versions before oldoldoldstable.
    Specifically remove the debconf warning if scsi_id is still used (old
    udev), and the init script bug fix. Rids us of all custom postinst/prerm
    scripts.
  * [8491532] Use only one way of installing manpages
  * [32fb1aa] Fix typo in README.Debian
  * [5be350e] Possibly fix multipath in d-i
  * [c46f47a] Make initramfs scripts +x again

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 30 Jul 2022 14:31:16 +0000

multipath-tools (0.9.0-1) unstable; urgency=medium

  * [6f546d1] New upstream version 0.9.0
  * [8ff5696] Refresh patches
  * [11da4e0] Follow manpages filename changes
  * [bde7d75] Install new modules-load.d dropin file
  * [1ac2df6] Avoid setting EXTRAVERSION

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 29 Jul 2022 22:02:31 +0000

multipath-tools (0.8.8-1ubuntu2) lunar; urgency=medium

  * SECURITY UPDATE: symlink attack
    - debian/patches/CVE-2022-41973.patch: use /run instead of /dev/shm in
      .gitignore, Makefile.inc, libmultipath/defaults.h,
      multipath/Makefile, multipath/multipath.rules.in,
      multipath/tmpfiles.conf.in.
    - debian/multipath-tools.install: install tmpfiles.d/multipath.conf.
    - debian/rules: copy udev rule after build.
    - CVE-2022-41973
  * SECURITY UPDATE: authorization bypass
    - debian/patches/CVE-2022-41974-pre1.patch: fix command completion in
      interactive mode in multipathd/callbacks.c, multipathd/cli.c,
      multipathd/cli_handlers.c, multipathd/main.c.
    - debian/patches/CVE-2022-41974.patch: more robust command parsing in
      multipathd/callbacks.c, multipathd/cli.c, multipathd/cli.h,
      multipathd/cli_handlers.c, multipathd/uxlsnr.c.
    - debian/patches/CVE-2022-41974-2.patch: fix command completion with
      robust parser in multipathd/cli.c, multipathd/cli.h,
      multipathd/uxlsnr.c.
    - debian/patches/CVE-2022-41974-3.patch: add test for command parsing
      in Makefile.inc, tests/Makefile, tests/cli.c, multipathd/cli.h,
      multipathd/cli.c.
    - debian/patches/CVE-2022-41974-4.patch: fix memory leak handling
      invalid commands in multipathd/uxlsnr.c.
    - CVE-2022-41974

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 28 Oct 2022 14:43:41 -0400

multipath-tools (0.8.8-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946834, #1961136). Remaining changes:
    - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
      default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve
      finding loopback devices (LP 1747044)
    - d/multipath.conf: Install friendly names multipath.conf by default,
      instead of generating it in every installer.
    - debian/multipath-tools.dm-mpath-lvm.udev: Adjust initramfs integration
      for new udev rules
    - Remove d/initramfs/local-top (redundant with other initramfs scripts):
      + init-top: take over loading modules (dm-multipath and SCSI device
        handlers); move the missing dm-emc there (now scsi-dh-emc; see
        BTS 567014).
      + d/rules: do not install local-top anymore.
      + remove d/initramfs/local-top
    - debian/initramfs/hooks: Add dm-queue-length: users may want to
      change from the default selector and should be able to do so.
      (LP 1673350)
    - multipath initramfs fixes for booting from multipathed devices:
      + d/initramfs/hooks: also copy wwids file on the installed
        system to ensure all paths come up on boot. (LP 1479929)
      + d/initramfs/hooks: install multipathd and required
        directories.
      + d/initramfs/hooks: copy multipath udev rules to initramfs
      + d/initramfs/hooks: do not copy kpartx rules to initramfs
      + d/initramfs/local-bottom: remember to stop multipathd.
      + d/initramfs/local-premount: wait for udev to settle before
        the call to resolve_device() in local_mount_root(), so the
        by-uuid/ symlinks have a chance to be updated by the
        multipath udev rules (LP 1503286).
      + d/initramfs/local-premount: Run multipath with -B so not to
        assign names nor change /etc/multipath/bindings during
        initramfs (LP 1561103)
      + d/rules: install d/initramfs/local-bottom
      + d/rules: install d/initramfs/local-premount
    - debian/initramfs/local-bottom: wait for the multipathd unix
      socket to close, so to avoid multipathd.socket unit failure.
      (LP 1682178)
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      + d/initramfs/kpartx.hook
      + d/kpartx-boot.postinst
      + d/kpartx-boot.postrm
      + d/control: Add kpartx-boot package for dmraid
      + d/rules: Install kpartx initramfs hook
    - d/rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
    - Don't build the multipath-tools binary package on i386; we only want
      kpartx.
  * Dropped changes:
    - Use stable wwn-* names in autopkgtest that work with or without
      friendly names, as scsi-${DM_NAME} is not a stable symlink name.
      [ Included in 0.8.8-1 ]
    - debian/tests/tgtbasedmpaths: Add sleep to allow for device creation
      [ Included in 0.8.8-1 ]
    - d/p/kpartx_more_loopback_fixes.patch: fix loopback mounted files
      some more: since we stat() the loopback device node, we can't rely
      on S_ISREG() tests to handle this case, and should look at the
      device itself instead. (LP 1543430)
      [ Applied upstream in 0.8.6 ]
    - d/p/no-start-in-containers.patch: Do not attempt to start
      multipath-tools in containers, should switch for on-demand udev/socket
      based activation in the future. (LP 1823093)
      [ Applied upstream in 0.8.7 ]
    - d/t/control: use allow-stderr for kpartx-file-loopback, the new
      gdisks version displays warnings on stderr now.
      [ Fixed in 0.8.8-1 ]
  * Added changes:
    - d/t/kpartx-file-loopback: silence kpartx messages to stderr
    - d/rules: remove -Bsymbolic-functions from LDFLAGS

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 21 Feb 2022 18:18:27 -0300

multipath-tools (0.8.8-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * [74952ce] d/t/kpartx-file-loopback: silence gdisk warnings on stderr
  * [a3ad859] d/t/tgtbasedmpaths: Use stable wwn-* names in autopkgtest
  * [7a22711] d/t/tgtbasedmpaths: Add sleep to allow for device creation

  [ Ritesh Raj Sarraf ]
  * [9169942] Add some documentation about LVM + DM-Multipath setup.
    Thanks to Carlos Barros (Closes: 1001710)

  [ Chris Hofstaedtler ]
  * [7fcb8ba] New upstream version 0.8.8
  * [e63a379] Refresh patches
  * [4ab9ce2] Drop old dmsetup_env hack
    dmsetup long supports DM_NAME and DM_UUID, and the other variables
    are not used anymore.
  * [2cd669e] Avoid installing libmpathvalid.so until users appear

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 16 Jan 2022 22:57:28 +0000

multipath-tools (0.8.5-2ubuntu3) jammy; urgency=medium

  * No-change rebuild against liburcu8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Nov 2021 01:14:39 +0000

multipath-tools (0.8.5-2ubuntu2) impish; urgency=medium

  * Don't build the multipath-tools binary package on i386; we
    only want kpartx.

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Wed, 07 Jul 2021 14:49:31 +0530

multipath-tools (0.8.5-2ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Use stable wwn-* names in autopkgtest that work with or without
      friendly names, as scsi-${DM_NAME} is not a stable symlink name.
    - debian/tests/tgtbasedmpaths: Add sleep to allow for device creation
    - patches to multipath source:
      - d/p/kpartx_more_loopback_fixes.patch: fix loopback mounted files
        some more: since we stat() the loopback device node, we can't rely
        on S_ISREG() tests to handle this case, and should look at the
        device itself instead. (LP 1543430)
      - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
        default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve
      finding loopback devices (LP 1747044)
    - d/p/no-start-in-containers.patch: Do not attempt to start
      multipath-tools in containers, should switch for on-demand udev/socket
      based activation in the future. (LP 1823093)
    - d/multipath.conf: Install friendly names multipath.conf by default,
      instead of generating it in every installer.
    - debian/multipath-tools.dm-mpath-lvm.udev: Adjust initramfs integration
      for new udev rules
    - Remove d/initramfs/local-top (redundant with other initramfs scripts):
      - init-top: take over loading modules (dm-multipath and SCSI device
        handlers); move the missing dm-emc there (now scsi-dh-emc; see
        BTS 567014).
      - d/rules: do not install local-top anymore.
      - remove d/initramfs/local-top
    - debian/initramfs/hooks: Add dm-queue-length: users may want to
      change from the default selector and should be able to do so.
      (LP 1673350)
    - multipath initramfs fixes for booting from multipathed devices:
      - d/initramfs/hooks: also copy wwids file on the installed
        system to ensure all paths come up on boot. (LP 1479929)
      - d/initramfs/hooks: install multipathd and required
        directories.
      - d/initramfs/hooks: copy multipath udev rules to initramfs
      - d/initramfs/hooks: do not copy kpartx rules to initramfs
      - d/initramfs/local-bottom: remember to stop multipathd.
      - d/initramfs/local-premount: wait for udev to settle before
        the call to resolve_device() in local_mount_root(), so the
        by-uuid/ symlinks have a chance to be updated by the
        multipath udev rules (LP 1503286).
      - d/initramfs/local-premount: Run multipath with -B so not to
        assign names nor change /etc/multipath/bindings during
        initramfs (LP 1561103)
      - d/rules: install d/initramfs/local-bottom
      - d/rules: install d/initramfs/local-premount
    - debian/initramfs/local-bottom: wait for the multipathd unix
      socket to close, so to avoid multipathd.socket unit failure.
      (LP 1682178)
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      - d/initramfs/kpartx.hook
      - d/kpartx-boot.postinst
      - d/kpartx-boot.postrm
      - d/control: Add kpartx-boot package for dmraid
      - d/rules: Install kpartx initramfs hook
    - d/rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
    - debian/test/control:
      - use allow-stderr for kpartx-file-loopback, the new gdisks version
        displays warnings on stderr now
  * Dropped changes:
    - [Undocumented] d/p/newer-jsonc.patch: drop this patch since this
      was added in v0.8.4-2ubuntu1 as a delta but was incorporated in
      Debian via v0.8.4-3 with a different name (jsonc-true.patch; cf:
      https://bugs.debian.org/966597) and was never dropped from here
      and we've been carrying this since then.
      [Included in 0.8.4-3]
    - Drop depends on udebs, such that they don't hold up any other udebs
      in the archive, especially kernel udebs. Otherwise unused in Ubuntu.
      [Dropped support for udebs]
    - d/control: Enable udebs on riscv64 to fix FTBFS.
      [Dropped support for udebs]
    - d/control, d/rules: i386 related fixes
      - Stop producing udebs on i386 where we no longer have d-i or a kernel.
      - Fix debian/rules to not explode when building without udebs on i386.
      - Don't build the multipath-tools binary package on i386; we only want
        kpartx.
      [Dropped support for i386 & udebs]
    - d/control: multipath-udeb: add sg3-udeb Depends
      [Dropped support for udebs]
    - d/kpartx.install: install all arch /lib* kpartx udev rules
      [There's no "/lib*" anymore]
    - d/p/kpartx-print-loop-deleted-to-stdout-not-stderr.patch: Print loop
      deleted message to stdout again, not stderr; to fix autopkgtest
      [Upstream denied the patch; unneeded]
    - Disable -fexceptions on multipath-udeb (LP 1489379): the flag causes
      libchecktur.so to link with libgcc_s.so.1 (even with -static-libgcc),
      which is not available in the installer environment.
      - d/p/disable-fexceptions-udeb.patch: conditionally disable
        -fexceptions with CFLAGS_DISABLE_FEXCEPTIONS.
      - d/rules: set CFLAGS_DISABLE_FEXCEPTIONS to build multipath-udeb.
      [Changes aren't relevant anymore; dropped support for udebs]

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Mon, 21 Jun 2021 23:06:33 +0530

multipath-tools (0.8.5-2) unstable; urgency=medium

  * [373f5c5] Fix bashism in script kpartx/kpartx_id.
    Thanks to Julien Cristau (Closes: #987669)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 28 Apr 2021 22:40:55 +0530

multipath-tools (0.8.5-1ubuntu6) hirsute; urgency=medium

  * debian/test/control:
    - use allow-stderr for kpartx-file-loopback, the new gdisks version
      displays warnings on stderr now

 -- Sebastien Bacher <seb128@debian.org>  Thu, 04 Mar 2021 12:20:20 +0100

multipath-tools (0.8.5-1ubuntu5) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:31 +0100

multipath-tools (0.8.5-1ubuntu4) hirsute; urgency=medium

  * Drop depends on udebs, such that they don't hold up any other udebs in
    the archive, especially kernel udebs. Otherwise unused in Ubuntu.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 08 Feb 2021 13:18:26 +0000

multipath-tools (0.8.5-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - multipath initramfs fixes for booting from multipathed devices:
      - d/initramfs/hooks: also copy wwids file on the installed
        system to ensure all paths come up on boot. (LP 1479929)
      - d/initramfs/hooks: install multipathd and required
        directories.
      - d/initramfs/hooks: copy multipath udev rules to initramfs
      - d/initramfs/hooks: do not copy kpartx rules to initramfs
      - d/initramfs/local-bottom: remember to stop multipathd.
      - d/initramfs/local-premount: wait for udev to settle before
        the call to resolve_device() in local_mount_root(), so the
        by-uuid/ symlinks have a chance to be updated by the
        multipath udev rules (LP 1503286).
      - d/initramfs/local-premount: Run multipath with -B so not to
        assign names nor change /etc/multipath/bindings during
        initramfs (LP 1561103)
      - d/rules: install d/initramfs/local-bottom
      - d/rules: install d/initramfs/local-premount
    - d/control: multipath-udeb: add sg3-udeb Depends
    - patches to multipath source:
      - d/p/kpartx_more_loopback_fixes.patch: fix loopback mounted files
        some more: since we stat() the loopback device node, we can't rely
        on S_ISREG() tests to handle this case, and should look at the
        device itself instead. (LP 1543430)
      - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
        default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      - d/initramfs/kpartx.hook
      - d/kpartx-boot.postinst
      - d/kpartx-boot.postrm
      - d/control: Add kpartx-boot package for dmraid
      - d/rules: Install kpartx initramfs hook
      - d/kpartx.install: install all arch /lib* kpartx udev rules
    - debian/multipath-tools.dm-mpath-lvm.udev: Adjust initramfs integration
      for new udev rules
    - Remove d/initramfs/local-top (redundant with other initramfs scripts):
      - init-top: take over loading modules (dm-multipath and SCSI device
        handlers); move the missing dm-emc there (now scsi-dh-emc; see
        BTS 567014).
      - d/rules: do not install local-top anymore.
      - remove d/initramfs/local-top
    - d/control: Enable udebs on riscv64 to fix FTBFS.
    - d/control, d/rules: i386 related fixes
      - Stop producing udebs on i386 where we no longer have d-i or a kernel.
      - Fix debian/rules to not explode when building without udebs on i386.
      - Don't build the multipath-tools binary package on i386; we only want
        kpartx.
    - Disable -fexceptions on multipath-udeb (LP 1489379): the flag causes
      libchecktur.so to link with libgcc_s.so.1 (even with -static-libgcc),
      which is not available in the installer environment.
      - d/p/disable-fexceptions-udeb.patch: conditionally disable
        -fexceptions with CFLAGS_DISABLE_FEXCEPTIONS.
      - d/rules: set CFLAGS_DISABLE_FEXCEPTIONS to build multipath-udeb.
    - d/p/kpartx-print-loop-deleted-to-stdout-not-stderr.patch: Print loop
      deleted message to stdout again, not stderr; to fix autopkgtest
    - d/multipath.conf: Install friendly names multipath.conf by default,
      instead of generating it in every installer.
    - d/rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
    - d/p/no-start-in-containers.patch: Do not attempt to start
      multipath-tools in containers, should switch for on-demand udev/socket
      based activation in the future. (LP 1823093)
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve
      finding loopback devices (LP 1747044)
    - debian/initramfs/hooks: Add dm-queue-length: users may want to
      change from the default selector and should be able to do so.
      (LP 1673350)
    - debian/initramfs/local-bottom: wait for the multipathd unix
      socket to close, so to avoid multipathd.socket unit failure.
      (LP 1682178)
    - debian/tests/tgtbasedmpaths:
      - Add sleep to allow for device creation
      - Use stable wwn-* names in autopkgtest that work with or without
        friendly names, as scsi-${DM_NAME} is not a stable symlink name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Dec 2020 22:51:36 +0100

multipath-tools (0.8.5-1) unstable; urgency=medium

  [ Ritesh Raj Sarraf ]
  * [9e88f52] Add README.alua to docs section

  [ Christian Ehrhardt ]
  * [7860503] d/t/tgtbasedmpaths: reduce memory pressure avoiding OOM
    triggered false positives

  [ Chris Hofstaedtler ]
  * [859ade1] Update upstream git (and our debian/watch) URL
  * [bdc291a] New upstream version 0.8.5
  * [83060d2] Rebase patches
  * [cb467ba] multipath.rules: Avoid usrmerge paths (Closes: #973853)
  * [61df246] kpartx: update package description (Closes: #690995)
  * [3262269] Drop 0001-Blacklist-cciss-devices.patch.
    Upstream has switched to an exclusive list of devices by default.
    Only sd, dasd and nvme devices are seen by multipath now. This makes
    the cciss exclusion obsolete.
  * [602298a] Follow README.md rename
  * [2018daf] Remove obsolete override for lintian tag
    init.d-script-does-not-implement-optional-option

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 23 Dec 2020 23:53:53 +0000

multipath-tools (0.8.4-4ubuntu2) groovy; urgency=medium

  * Add README.alua to docs section

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Fri, 11 Sep 2020 17:39:12 +0000

multipath-tools (0.8.4-4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - multipath initramfs fixes for booting from multipathed devices:
      - d/initramfs/hooks: also copy wwids file on the installed
        system to ensure all paths come up on boot. (LP 1479929)
      - d/initramfs/hooks: install multipathd and required
        directories.
      - d/initramfs/hooks: copy multipath udev rules to initramfs
      - d/initramfs/hooks: do not copy kpartx rules to initramfs
      - d/initramfs/local-bottom: remember to stop multipathd.
      - d/initramfs/local-premount: wait for udev to settle before
        the call to resolve_device() in local_mount_root(), so the
        by-uuid/ symlinks have a chance to be updated by the
        multipath udev rules (LP 1503286).
      - d/initramfs/local-premount: Run multipath with -B so not to
        assign names nor change /etc/multipath/bindings during
        initramfs (LP 1561103)
      - d/rules: install d/initramfs/local-bottom
      - d/rules: install d/initramfs/local-premount
    - d/control: multipath-udeb: add sg3-udeb Depends
    - patches to multipath source:
      - d/p/kpartx_more_loopback_fixes.patch: fix loopback mounted files
        some more: since we stat() the loopback device node, we can't rely
        on S_ISREG() tests to handle this case, and should look at the
        device itself instead. (LP 1543430)
      - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
        default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      - d/initramfs/kpartx.hook
      - d/kpartx-boot.postinst
      - d/kpartx-boot.postrm
      - d/control: Add kpartx-boot package for dmraid
      - d/rules: Install kpartx initramfs hook
      - d/kpartx.install: install all arch /lib* kpartx udev rules
    - debian/multipath-tools.dm-mpath-lvm.udev: Adjust initramfs integration
      for new udev rules
    - Remove d/initramfs/local-top (redundant with other initramfs scripts):
      - init-top: take over loading modules (dm-multipath and SCSI device
        handlers); move the missing dm-emc there (now scsi-dh-emc; see
        BTS 567014).
      - d/rules: do not install local-top anymore.
      - remove d/initramfs/local-top
    - d/control: Enable udebs on riscv64 to fix FTBFS.
    - d/control, d/rules: i386 related fixes
      - Stop producing udebs on i386 where we no longer have d-i or a kernel.
      - Fix debian/rules to not explode when building without udebs on i386.
      - Don't build the multipath-tools binary package on i386; we only want
        kpartx.
    - Disable -fexceptions on multipath-udeb (LP 1489379): the flag causes
      libchecktur.so to link with libgcc_s.so.1 (even with -static-libgcc),
      which is not available in the installer environment.
      - d/p/disable-fexceptions-udeb.patch: conditionally disable
        -fexceptions with CFLAGS_DISABLE_FEXCEPTIONS.
      - d/rules: set CFLAGS_DISABLE_FEXCEPTIONS to build multipath-udeb.
    - d/p/kpartx-print-loop-deleted-to-stdout-not-stderr.patch: Print loop
      deleted message to stdout again, not stderr; to fix autopkgtest
    - d/multipath.conf: Install friendly names multipath.conf by default,
      instead of generating it in every installer.
    - d/rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
    - d/p/no-start-in-containers.patch: Do not attempt to start
      multipath-tools in containers, should switch for on-demand udev/socket
      based activation in the future. (LP 1823093)
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve
      finding loopback devices (LP 1747044)
    - debian/initramfs/hooks: Add dm-queue-length: users may want to
      change from the default selector and should be able to do so.
      (LP 1673350)
    - debian/initramfs/local-bottom: wait for the multipathd unix
      socket to close, so to avoid multipathd.socket unit failure.
      (LP 1682178)
    - debian/tests/tgtbasedmpaths:
      - Add sleep to allow for device creation
      - Use stable wwn-* names in autopkgtest that work with or without
        friendly names, as scsi-${DM_NAME} is not a stable symlink name.
  * Dropped changes, superseeded by systemd switch to service script:
    - d/multipath-tools.preinst: modprobe dm-multipath; This will make
      sure that multipathd will be able to start.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Aug 2020 00:12:32 +0200

multipath-tools (0.8.4-4) unstable; urgency=medium

  * [637efc8] Remove overly complicated INSTALL_PROGRAM setup.
    Thanks to Simon McVittie <smcv@debian.org> (Closes: #968528)
  * [d793f77] kpartx, multipath-tools: remove pre-oldstable upgrade code
  * [aa2fab9] d/*: trim trailing whitespace
  * [1657612] multipath-tools, multipath-tools-boot: update lintian overrides
  * [825c1e2] debian/po/de.po: recode to UTF-8
  * [ce008ac] Allow (partial) parallel builds
  * [6383d2d] d/control: remove relationships satisfied in oldstable
  * [bf0e585] d/control: remove version constraints satisfied in oldstable
  * [67cff60] Declare debhelper compat version using debhelper-compat
  * [6992798] Apply to-be-upstream patch for parallel builds.
    Thanks to Christian Hesse <mail@eworm.de>
  * [058d79f] Use to-be-upstream patch for json-c update

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 30 Aug 2020 01:14:10 +0000

multipath-tools (0.8.4-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - multipath initramfs fixes for booting from multipathed devices:
      - d/initramfs/hooks: also copy wwids file on the installed
        system to ensure all paths come up on boot. (LP 1479929)
      - d/initramfs/hooks: install multipathd and required
        directories.
      - d/initramfs/hooks: copy multipath udev rules to initramfs
      - d/initramfs/hooks: do not copy kpartx rules to initramfs
      - d/initramfs/local-bottom: remember to stop multipathd.
      - d/initramfs/local-premount: wait for udev to settle before
        the call to resolve_device() in local_mount_root(), so the
        by-uuid/ symlinks have a chance to be updated by the
        multipath udev rules (LP 1503286).
      - d/initramfs/local-premount: Run multipath with -B so not to
        assign names nor change /etc/multipath/bindings during
        initramfs (LP 1561103)
      - d/rules: install d/initramfs/local-bottom
      - d/rules: install d/initramfs/local-premount
    - d/control: multipath-udeb: add sg3-udeb Depends
    - patches to multipath source:
      - d/p/kpartx_more_loopback_fixes.patch: fix loopback mounted files
        some more: since we stat() the loopback device node, we can't rely
        on S_ISREG() tests to handle this case, and should look at the
        device itself instead. (LP 1543430)
      - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
        default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      - d/initramfs/kpartx.hook
      - d/kpartx-boot.postinst
      - d/kpartx-boot.postrm
      - d/control: Add kpartx-boot package for dmraid
      - d/rules: Install kpartx initramfs hook
      - d/kpartx.install: install all arch /lib* kpartx udev rules
    - debian/multipath-tools.dm-mpath-lvm.udev: Adjust initramfs integration
      for new udev rules
    - Remove d/initramfs/local-top (redundant with other initramfs scripts):
      - init-top: take over loading modules (dm-multipath and SCSI device
        handlers); move the missing dm-emc there (now scsi-dh-emc; see
        BTS 567014).
      - d/rules: do not install local-top anymore.
      - remove d/initramfs/local-top
    - d/control: Enable udebs on riscv64 to fix FTBFS.
    - d/control, d/rules: i386 related fixes
      - Stop producing udebs on i386 where we no longer have d-i or a kernel.
      - Fix debian/rules to not explode when building without udebs on i386.
      - Don't build the multipath-tools binary package on i386; we only want
        kpartx.
    - Disable -fexceptions on multipath-udeb (LP 1489379): the flag causes
      libchecktur.so to link with libgcc_s.so.1 (even with -static-libgcc),
      which is not available in the installer environment.
      - d/p/disable-fexceptions-udeb.patch: conditionally disable
        -fexceptions with CFLAGS_DISABLE_FEXCEPTIONS.
      - d/rules: set CFLAGS_DISABLE_FEXCEPTIONS to build multipath-udeb.
    - d/p/kpartx-print-loop-deleted-to-stdout-not-stderr.patch: Print loop
      deleted message to stdout again, not stderr; to fix autopkgtest
    - d/multipath.conf: Install friendly names multipath.conf by default,
      instead of generating it in every installer.
    - d/rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
    - d/multipath-tools.preinst: modprobe dm-multipath; This will make
      sure that multipathd will be able to start.
    - d/p/no-start-in-containers.patch: Do not attempt to start
      multipath-tools in containers, should switch for on-demand udev/socket
      based activation in the future. (LP 1823093)
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve
      finding loopback devices (LP 1747044)
    - debian/initramfs/hooks: Add dm-queue-length: users may want to
      change from the default selector and should be able to do so.
      (LP 1673350)
    - debian/initramfs/local-bottom: wait for the multipathd unix
      socket to close, so to avoid multipathd.socket unit failure.
      (LP 1682178)
    - debian/tests/tgtbasedmpaths:
      - Add sleep to allow for device creation
      - Use stable wwn-* names in autopkgtest that work with or without
        friendly names, as scsi-${DM_NAME} is not a stable symlink name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Aug 2020 11:26:27 +0200

multipath-tools (0.8.4-3) unstable; urgency=medium

  * [c8c0700] Fix build with newer json-c.
    Thanks to Gianfranco Costamagna <locutusofborg@debian.org> (Closes: #966597)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 31 Jul 2020 09:31:38 +0000

multipath-tools (0.8.4-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - multipath initramfs fixes for booting from multipathed devices:
      - d/initramfs/hooks: also copy wwids file on the installed
        system to ensure all paths come up on boot. (LP 1479929)
      - d/initramfs/hooks: install multipathd and required
        directories.
      - d/initramfs/hooks: copy multipath udev rules to initramfs
      - d/initramfs/hooks: do not copy kpartx rules to initramfs
      - d/initramfs/local-bottom: remember to stop multipathd.
      - d/initramfs/local-premount: wait for udev to settle before
        the call to resolve_device() in local_mount_root(), so the
        by-uuid/ symlinks have a chance to be updated by the
        multipath udev rules (LP 1503286).
      - d/initramfs/local-premount: Run multipath with -B so not to
        assign names nor change /etc/multipath/bindings during
        initramfs (LP 1561103)
      - d/rules: install d/initramfs/local-bottom
      - d/rules: install d/initramfs/local-premount
    - d/control: multipath-udeb: add sg3-udeb Depends
    - patches to multipath source:
      - d/p/kpartx_more_loopback_fixes.patch: fix loopback mounted files
        some more: since we stat() the loopback device node, we can't rely
        on S_ISREG() tests to handle this case, and should look at the
        device itself instead. (LP 1543430)
      - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
        default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      - d/initramfs/kpartx.hook
      - d/kpartx-boot.postinst
      - d/kpartx-boot.postrm
      - d/control: Add kpartx-boot package for dmraid
      - d/rules: Install kpartx initramfs hook
      - d/kpartx.install: install all arch /lib* kpartx udev rules
    - debian/multipath-tools.dm-mpath-lvm.udev: Adjust initramfs integration
      for new udev rules
    - Remove d/initramfs/local-top (redundant with other initramfs scripts):
      - init-top: take over loading modules (dm-multipath and SCSI device
        handlers); move the missing dm-emc there (now scsi-dh-emc; see
        BTS 567014).
      - d/rules: do not install local-top anymore.
      - remove d/initramfs/local-top
    - d/control: Enable udebs on riscv64 to fix FTBFS.
    - d/control, d/rules: i386 related fixes
      - Stop producing udebs on i386 where we no longer have d-i or a kernel.
      - Fix debian/rules to not explode when building without udebs on i386.
      - Don't build the multipath-tools binary package on i386; we only want
        kpartx.
    - Disable -fexceptions on multipath-udeb (LP 1489379): the flag causes
      libchecktur.so to link with libgcc_s.so.1 (even with -static-libgcc),
      which is not available in the installer environment.
      - d/p/disable-fexceptions-udeb.patch: conditionally disable
        -fexceptions with CFLAGS_DISABLE_FEXCEPTIONS.
      - d/rules: set CFLAGS_DISABLE_FEXCEPTIONS to build multipath-udeb.
    - d/p/kpartx-print-loop-deleted-to-stdout-not-stderr.patch: Print loop
      deleted message to stdout again, not stderr; to fix autopkgtest
    - d/multipath.conf: Install friendly names multipath.conf by default,
      instead of generating it in every installer.
    - d/rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
    - d/multipath-tools.preinst: modprobe dm-multipath; This will make
      sure that multipathd will be able to start.
    - d/p/no-start-in-containers.patch: Do not attempt to start
      multipath-tools in containers, should switch for on-demand udev/socket
      based activation in the future. (LP 1823093)
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve
      finding loopback devices (LP 1747044)
    - debian/initramfs/hooks: Add dm-queue-length: users may want to
      change from the default selector and should be able to do so.
      (LP 1673350)
    - debian/initramfs/local-bottom: wait for the multipathd unix
      socket to close, so to avoid multipathd.socket unit failure.
      (LP 1682178)
    - debian/tests/tgtbasedmpaths:
      - Add sleep to allow for device creation
      - Use stable wwn-* names in autopkgtest that work with or without
        friendly names, as scsi-${DM_NAME} is not a stable symlink name.
    - debian/patches/newer-jsonc.patch
      - patch for newer json-c

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jul 2020 10:20:36 +0200

multipath-tools (0.8.4-2) unstable; urgency=medium

  * [b270b02] Fix FTBFS with gcc-10 (Closes: #957568)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 22 Jul 2020 22:23:13 +0000

multipath-tools (0.8.4-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1886693). Remaining changes:
    - multipath initramfs fixes for booting from multipathed devices:
      - d/initramfs/hooks: also copy wwids file on the installed
        system to ensure all paths come up on boot. (LP 1479929)
      - d/initramfs/hooks: install multipathd and required
        directories.
      - d/initramfs/hooks: copy multipath udev rules to initramfs
      - d/initramfs/hooks: do not copy kpartx rules to initramfs
      - d/initramfs/local-bottom: remember to stop multipathd.
      - d/initramfs/local-premount: wait for udev to settle before
        the call to resolve_device() in local_mount_root(), so the
        by-uuid/ symlinks have a chance to be updated by the
        multipath udev rules (LP 1503286).
      - d/initramfs/local-premount: Run multipath with -B so not to
        assign names nor change /etc/multipath/bindings during
        initramfs (LP 1561103)
      - d/rules: install d/initramfs/local-bottom
      - d/rules: install d/initramfs/local-premount
    - d/control: multipath-udeb: add sg3-udeb Depends
    - patches to multipath source:
      - d/p/kpartx_more_loopback_fixes.patch: fix loopback mounted files
        some more: since we stat() the loopback device node, we can't rely
        on S_ISREG() tests to handle this case, and should look at the
        device itself instead. (LP 1543430)
      - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
        default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      - d/initramfs/kpartx.hook
      - d/kpartx-boot.postinst
      - d/kpartx-boot.postrm
      - d/control: Add kpartx-boot package for dmraid
      - d/rules: Install kpartx initramfs hook
      - d/kpartx.install: install all arch /lib* kpartx udev rules
    - debian/multipath-tools.dm-mpath-lvm.udev: Adjust initramfs integration
      for new udev rules
    - Remove d/initramfs/local-top (redundant with other initramfs scripts):
      - init-top: take over loading modules (dm-multipath and SCSI device
        handlers); move the missing dm-emc there (now scsi-dh-emc; see
        BTS 567014).
      - d/rules: do not install local-top anymore.
      - remove d/initramfs/local-top
    - d/control: Enable udebs on riscv64 to fix FTBFS.
    - d/control, d/rules: i386 related fixes
      - Stop producing udebs on i386 where we no longer have d-i or a kernel.
      - Fix debian/rules to not explode when building without udebs on i386.
      - Don't build the multipath-tools binary package on i386; we only want
        kpartx.
    - Disable -fexceptions on multipath-udeb (LP 1489379): the flag causes
      libchecktur.so to link with libgcc_s.so.1 (even with -static-libgcc),
      which is not available in the installer environment.
      - d/p/disable-fexceptions-udeb.patch: conditionally disable
        -fexceptions with CFLAGS_DISABLE_FEXCEPTIONS.
      - d/rules: set CFLAGS_DISABLE_FEXCEPTIONS to build multipath-udeb.
    - d/p/kpartx-print-loop-deleted-to-stdout-not-stderr.patch: Print loop
      deleted message to stdout again, not stderr; to fix autopkgtest
    - d/multipath.conf: Install friendly names multipath.conf by default,
      instead of generating it in every installer.
    - d/rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
    - d/multipath-tools.preinst: modprobe dm-multipath; This will make
      sure that multipathd will be able to start.
    - d/p/no-start-in-containers.patch: Do not attempt to start
      multipath-tools in containers, should switch for on-demand udev/socket
      based activation in the future. (LP 1823093)
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve
      finding loopback devices (LP 1747044)
    - debian/initramfs/hooks: Add dm-queue-length: users may want to
      change from the default selector and should be able to do so.
      (LP 1673350)
    - debian/initramfs/local-bottom: wait for the multipathd unix
      socket to close, so to avoid multipathd.socket unit failure.
      (LP 1682178)
    - debian/tests/tgtbasedmpaths:
      - Add sleep to allow for device creation
      - Use stable wwn-* names in autopkgtest that work with or without
        friendly names, as scsi-${DM_NAME} is not a stable symlink name.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 08 Jul 2020 03:59:53 +0000

multipath-tools (0.8.4-1) unstable; urgency=medium

  * [f4b2af2] kpartx: use correct path to partx in udev rule (Closes: #959727)
  * [30806f2] New upstream version 0.8.4 (Closes: #943383)
  * [ad742ee] Update patch 0009-hardened-build-flags

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 21 Jun 2020 16:23:30 +0000

multipath-tools (0.8.3-1ubuntu2) focal; urgency=medium

  * Enable udebs on riscv64 to fix FTBFS.

 -- William Grant <wgrant@ubuntu.com>  Mon, 06 Apr 2020 18:17:20 +1000

multipath-tools (0.8.3-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Stop producing udebs on i386 where we no longer have d-i or a kernel.
    - Fix debian/rules to not explode when building without udebs on i386.
    - Don't build the multipath-tools binary package on i386; we only want
      kpartx.
    - d/control:
      - multipath-udeb: add sg3-udeb Depends
    - d/rules: Move udev rules to priority 95, because rules that load modules
      should be >90.
    - d/multipath-tools.preinst: modprobe dm-multipath; This will make sure
      that multipathd will be able to start.
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      - d/initramfs/kpartx.hook
      - d/kpartx-boot.postinst
      - d/kpartx-boot.postrm
      - d/control: Add kpartx-boot package for dmraid
      - d/rules: Install kpartx initramfs hook
      - d/kpartx.install: install all arch /lib* kpartx udev rules
    - patches to multipath source
      - d/p/1000--set-umask-in-multipathd.patch: Set umask in multipathd.
      - d/p/kpartx_more_loopback_fixes.patch: fix loopback mounted
        files some more: since we stat() the loopback device node, we can't rely
        on S_ISREG() tests to handle this case, and should look at the device
        itself instead. (LP 1543430)
      - d/p/enable-find-multipaths.patch: re-enable find_multipaths
        by default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
   - multipath initramfs fixes for booting from multipathed devices
      - d/initramfs/hooks: also copy wwids file on the installed system to
        ensure all paths come up on boot. (LP 1479929)
      - d/initramfs/hooks: install multipathd and required directories.
      - d/initramfs/hooks: copy multipath udev rules to initramfs
      - d/initramfs/hooks: do not copy kpartx rules to initramfs
      - d/initramfs/local-bottom: remember to stop multipathd.
      - d/initramfs/local-premount: wait for udev to settle before the call to
        resolve_device() in local_mount_root(), so the by-uuid/ symlinks have a
        chance to be updated by the multipath udev rules (LP 1503286).
      - d/initramfs/local-premount: Run multipath with -B so not to assign names
        nor change /etc/multipath/bindings during initramfs (LP 1561103)
      - d/rules: install d/initramfs/local-bottom
      - d/rules: install d/initramfs/local-premount
   - Disable -fexceptions on multipath-udeb (LP 1489379): the flag causes
     libchecktur.so to link with libgcc_s.so.1 (even with -static-libgcc),
     which is not available in the installer environment.
     - d/p/disable-fexceptions-udeb.patch: conditionally disable -fexceptions
       with CFLAGS_DISABLE_FEXCEPTIONS.
     - d/rules: set CFLAGS_DISABLE_FEXCEPTIONS to build multipath-udeb.
   - Remove d/initramfs/local-top (redundant with other initramfs scripts):
     - init-top: take over loading modules (dm-multipath and SCSI device
       handlers); move the missing dm-emc there (now scsi-dh-emc;
       see BTS 567014).
     - d/rules: do not install local-top anymore.
     - remove d/initramfs/local-top
    - Fixes typo in package description (availibility -> availability)
      (LP 1231182)
    - debian/initramfs/local-bottom: wait for the multipathd unix socket
      to close, so to avoid multipathd.socket unit failure. (LP 1682178)
    - debian/initramfs/hooks: Add dm-queue-length: users may want to change
      from the default selector and should be able to do so. (LP 1673350)
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve
      finding loopback devices (LP 1747044)
    - d/p/kpartx-print-loop-deleted-to-stdout-not-stderr.patch: Print loop
      deleted message to stdout again, not stderr; to fix autopkgtest
    - Install friendly names multipath.conf by default, instead of
      generating it in every installer.
    - Use stable wwn-* names in autopkgtest that work with or without
      friendly names, as scsi-${DM_NAME} is not a stable symlink name.
    - Do not attempt to start multipath-tools in containers, should switch
      for on-demand udev/socket based activation in the future. LP 1823093
    - Adjust initramfs integration for new udev rules
    - debian/tests/tgtbasedmpaths: Add sleep to allow for device creation
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch
      [updated to match new upstream version]
    - d/p/disable-fexceptions-udeb.patch: to match new upstream version
      [updated to match new upstream version]
    - d/p/enable-find-multipaths.patch: since upstream change c36f2f42 we need
      to set yes to retain the Ubuntu behavior instead of 1 as we did before.
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch
      [updated to match new upstream version]

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 11:57:46 -0800

multipath-tools (0.8.3-1) unstable; urgency=medium

  * [6b91b76] New upstream version 0.8.3
  * [bd42030] Refresh patches

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 08 Jan 2020 21:45:44 +0530

multipath-tools (0.7.9-3ubuntu7) focal; urgency=medium

  * Don't build the multipath-tools binary package on i386; we only want
    kpartx.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Jan 2020 14:00:24 -0800

multipath-tools (0.7.9-3ubuntu6) eoan; urgency=medium

  * Fix debian/rules to not explode when building without udebs on i386.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 09 Oct 2019 15:22:33 -0600

multipath-tools (0.7.9-3ubuntu5) eoan; urgency=medium

  * Stop producing udebs on i386 where we no longer have d-i or a kernel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 09 Oct 2019 14:09:21 -0600

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libmpathcmd0`.
